<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__connection__status__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_connection_status_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__connection__status__t_1abccd9ff49a2ac2668cfabc0f17eb79cf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_gatt_connection_status_t::bd_addr</definition>
        <argsstring />
        <name>bd_addr</name>
        <briefdescription>
<para>Remote device address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="729" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="729" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1ac425091933416a2c325dcb76c10c6086" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
        <definition>wiced_bt_ble_address_type_t wiced_bt_gatt_connection_status_t::addr_type</definition>
        <argsstring />
        <name>addr_type</name>
        <briefdescription>
<para>Remmote device address type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="730" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="730" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1adb00d77f8a565ac0ba689a59d6fb8148" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_connection_status_t::conn_id</definition>
        <argsstring />
        <name>conn_id</name>
        <briefdescription>
<para>ID of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="731" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="731" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1a86cd1b5a830109dac05a5c876d05cf76" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_gatt_connection_status_t::connected</definition>
        <argsstring />
        <name>connected</name>
        <briefdescription>
<para>TRUE if connected, FALSE if disconnected. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="732" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="732" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1a580110ac3dc9accdc11da9a745963501" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga3333698dc0578407e13fe9f086175ecc">wiced_bt_gatt_disconn_reason_t</ref></type>
        <definition>wiced_bt_gatt_disconn_reason_t wiced_bt_gatt_connection_status_t::reason</definition>
        <argsstring />
        <name>reason</name>
        <briefdescription>
<para>Reason code (see <ref kindref="member" refid="group__wicedbt__gatt_1ga2f41eeeff34e8001557ccb19a73c1836">wiced_bt_gatt_disconn_reason_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="733" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="733" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1a1901f57b9c53b41f41062305be272ad0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
        <definition>wiced_bt_transport_t wiced_bt_gatt_connection_status_t::transport</definition>
        <argsstring />
        <name>transport</name>
        <briefdescription>
<para>Transport type of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="734" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="734" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__connection__status__t_1a96aa0f1a395fd3e61d965bb57f3c3428" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_gatt_connection_status_t::link_role</definition>
        <argsstring />
        <name>link_role</name>
        <briefdescription>
<para>Link role on this connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="735" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="735" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT connection status (used by GATT_CONNECTION_STATUS_EVT notification) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="736" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="727" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="728" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1ac425091933416a2c325dcb76c10c6086" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>addr_type</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1abccd9ff49a2ac2668cfabc0f17eb79cf" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1adb00d77f8a565ac0ba689a59d6fb8148" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>conn_id</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1a86cd1b5a830109dac05a5c876d05cf76" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>connected</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1a96aa0f1a395fd3e61d965bb57f3c3428" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>link_role</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1a580110ac3dc9accdc11da9a745963501" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>reason</name></member>
      <member prot="public" refid="structwiced__bt__gatt__connection__status__t_1a1901f57b9c53b41f41062305be272ad0" virt="non-virtual"><scope>wiced_bt_gatt_connection_status_t</scope><name>transport</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>